/*statistical functions some simple and some (many) derived from: */
/* William H. Press, Brian P. Flannery, Saul A. Teukolsky and William T. Vettering */
/* NUMERICAL RECIPIES in C: The Art of Scientific Computing */
/* Cambridge University Press, 1988 */
/*written by Alan Brenner 16 November 1992 and reworked 12 Jan 94 */

#include "stats.h"

double median(n, data)
  long n;
  double *data;
{
     int (*choose)()=dpick;
     long i,j;
     double *hold;

     hold=calloc(n,sizeof(double));
     for (i=0; i<n; i++) hold[i]=data[i];
     qsort(hold,n,sizeof(double),choose);
     j=n/2;
     return(n%2 ? data[j] : (data[j-1]+data[j])/2.0);
}
