/*------------------------------------------------------------------------------
   EPA - Region II, ESD
  ------------------------------------------------------------------------------
   Program: utils.h
   Purpose: various utilities
  ------------------------------------------------------------------------------
   Usage:   
  ------------------------------------------------------------------------------
   Calls:   once compiled, nothing
   Calling: various C programs
  ------------------------------------------------------------------------------
   Notes:   
  ------------------------------------------------------------------------------
   History:
     Author/Site:    Date:       Event:
   Alan Brenner    12 Jan 94   original coding
     Alan_Brenner@unixmail.edi.epa.gov
  ------------------------------------------------------------------------------
   Disclaimer:
     Although this program has been used by the U. S. Environmental Protection
   Agency, no warranty, expressed or implied, is made by the EPA as to the
   accurarcy and functioning of the program and related program material nor
   shall the fact of distribution constitute any such warranty, and no
   responsibility is assumed by the EPA in connection herewith.
------------------------------------------------------------------------------*/

#ifndef _UTILS_H_
#include <math.h>
#include <stdio.h>
#include <stdlib.h>

/* don't count this argument, point to next argument */
#define NEXTARG argc--; argv++;

/* set this to debug level */
extern char debug;

void error(); 
int dpick();
int lpick();
void ssortdd();
void ssortdl();
void ssortdul();
void ssortld();
#define _UTILS_H_
#endif
