/*statistical functions some simple and some (many) derived from: */
/* William H. Press, Brian P. Flannery, Saul A. Teukolsky and William T. Vettering */
/* NUMERICAL RECIPIES in C: The Art of Scientific Computing */
/* Cambridge University Press, 1988 */
/*written by Alan Brenner 16 November 1992 and reworked 12 Jan 94*/

#include "stats.h"

double mmm(n, data, min, max)				    /*find mean, minimum and maximum*/
  long n;
  double *data,*min,*max;
{
     long j;
     double mean=0.0;

     *min=*max=data[0];
     for (j=1; j<n; j++)
     {
	  if (*min>data[j]) *min=data[j];
	  if (*max<data[j]) *max=data[j];
	  mean+=data[j];
     }
     return(mean/(double) n);
}
