/*statistical functions some simple and some (many) derived from: */
/* William H. Press, Brian P. Flannery, Saul A. Teukolsky and William T. Vettering */
/* NUMERICAL RECIPIES in C: The Art of Scientific Computing */
/* Cambridge University Press, 1988 */
/*written by Alan Brenner 16 November 1992 and reworked 12 Jan 94*/

#include "stats.h"

double sd(n,ave,data)					    /*calculate standard deviations*/
  long n;
  double ave,*data;
{
     return(sqrt(svar(n,ave,data)));			    /*return sample standard deviation*/
}
